# GCC_RegistryResponse_primitiveType Class Reference

`#include <gcc.h>`

List of all members.

## Public Types

enum | Enumerations { e_registerChannel, e_assignToken, e_setParameter, e_retrieveEntry, e_deleteEntry, e_monitorEntry }

## Public Member Functions

| GCC_RegistryResponse_primitiveType (unsigned tag=UniversalEnumeration, TagClass tagClass=UniversalTagClass)
GCC_RegistryResponse_primitiveType & | operator= (unsigned v)
PObject * | Clone () const

## Member Enumeration Documentation

enum GCC_RegistryResponse_primitiveType::Enumerations

Enumerator:

  e_registerChannel |
  e_assignToken |
  e_setParameter |
  e_retrieveEntry |
  e_deleteEntry |
  e_monitorEntry |

## Constructor & Destructor Documentation

GCC_RegistryResponse_primitiveType::GCC_RegistryResponse_primitiveType | ( | unsigned | tag = `UniversalEnumeration`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

GCC_RegistryResponse_primitiveType& GCC_RegistryResponse_primitiveType::operator= | ( | unsigned | v | ) |

PObject* GCC_RegistryResponse_primitiveType::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- gcc.h